'use strict';

var _themerColorsDefault = require('themer-colors-default');

var _index = require('./index');

var _plist = require('plist');

var _plist2 = _interopRequireDefault(_plist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

describe('themer Sublime Text theme generator', () => {

  const promisedFiles = Promise.all((0, _index.render)(_themerColorsDefault.colors, {}));

  it('should produce two files when given a color set with both a dark and a light theme', _asyncToGenerator(function* () {
    const files = yield promisedFiles;
    expect(files.length).toBe(2);
    expect(files.some(function (file) {
      return (/dark/.test(file.name)
      );
    })).toBe(true);
    expect(files.some(function (file) {
      return (/light/.test(file.name)
      );
    })).toBe(true);
  }));

  it('should produce valid plist files', _asyncToGenerator(function* () {
    const files = yield promisedFiles;
    files.forEach(function (file) {
      const contents = file.contents.toString('utf8');
      expect(_plist2.default.parse.bind(_plist2.default, contents)).not.toThrow();
    });
  }));
});